
Katello - Feature #35778

Auto-select errata which is solved by installing another erratum

11/22/2022 01:56 PM - Bernhard Suttner

Status: New   

Priority: Normal   

Assignee:    

Category: Errata Management   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Imagine that you have 2 Errata:

1. E-1 with Package P-1.0.1

2. E-2 with Package P-1.0.2

If you install E-2 the package P in version 1.0.2 is installed. This solves erratum E-1 with package P in version 1.0.1 automatically.

The UI should make this visible and auto-select E-1 if you click on E-2.

History

#1 - 11/23/2022 06:41 PM - Chris Roberts

- Category set to Errata Management

- Target version set to Katello Backlog

- Triaged changed from No to Yes

Bernhard,

Can you open a RFC on the community discourse about this. Talking over this during triage, it sounds complicated so we would like to have a

discussion about this.

#2 - 12/16/2022 03:48 PM - Bernhard Suttner

Done. See: https://community.theforeman.org/t/auto-select-errata-which-is-solved-by-installing-another-erratum/31615/2
